Headless LMS

Get one enrolled course

GET /api/learn/courses/{courseId}. Get one enrolled course. Headless LMS Content API reference.

GET
/api/learn/courses/{courseId}

Path Parameters

courseId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/api/learn/courses/string"
{  "orgId": "string",  "id": "string",  "type": "course",  "title": "string",  "slug": "string",  "description": "string",  "status": "draft",  "category": "string",  "thumbnailAssetId": "string",  "settings": {    "transcriptDownloads": true,    "comments": {      "enabled": true,      "threaded": true,      "requireReview": true,      "reactions": true    }  },  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
{  "error": "string",  "message": "string",  "requestId": "string"}